Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.process
Class PROCESSINVOKESTATIC

    java.lang.Object
      nl.tudelft.simulation.dsol.interpreter.Operation
          nl.tudelft.simulation.dsol.interpreter.operations.InvokeOperation
              nl.tudelft.simulation.dsol.interpreter.operations.reflection.INVOKESTATIC
                  nl.tudelft.simulation.dsol.formalisms.process.PROCESSINVOKESTATIC

public class PROCESSINVOKESTATIC
extends nl.tudelft.simulation.dsol.interpreter.operations.reflection.INVOKESTATIC

PROCESSINVOKESTATIC
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 Jan 8, 2004
Author:
  Peter Jacobs
  Alexander Verbraeck

Field Summary

Fields inherited from class nl.tudelft.simulation.dsol.interpreter.operations.reflection.INVOKESTATIC
`index, OP`

Fields inherited from class nl.tudelft.simulation.dsol.interpreter.Operation
`BREAKPOINT, IMPDEP1, IMPDEP2, OPCODE_BYTE_LENGTH`

Constructor Summary
`PROCESSINVOKESTATIC(java.io.DataInput dataInput)` constructs a new PROCESSINVOKESTATIC

Method Summary
`nl.tudelft.simulation.dsol.interpreter.Frame` | `execute(nl.tudelft.simulation.dsol.interpreter.Frame frame, java.lang.Object objectRef, java.lang.reflect.Method method, java.lang.Object[] arguments)` executes the operation and returns a new Frame

Methods inherited from class nl.tudelft.simulation.dsol.interpreter.operations.reflection.INVOKESTATIC
`execute, getByteLength, getOpcode`

Methods inherited from class nl.tudelft.simulation.dsol.interpreter.Operation
`toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PROCESSINVOKESTATIC

    public PROCESSINVOKESTATIC(java.io.DataInput dataInput)
                        throws java.io.IOException

  constructs a new PROCESSINVOKESTATIC

Parameters:
  `dataInput` - the dataInput
Throws:
  `java.io.IOException` - on IOfailure

Method Detail

### execute

    public nl.tudelft.simulation.dsol.interpreter.Frame execute(nl.tudelft.simulation.dsol.interpreter.Frame frame,
                                                                java.lang.Object objectRef,
                                                                java.lang.reflect.Method method,
                                                                java.lang.Object[] arguments)
                                                         throws java.lang.Exception

  executes the operation and returns a new Frame

  Parameters:
    `frame` - the original frame
    `objectRef` - the object on which to invoke the method
    `arguments` - the arguments with which to invoke the method
    `method` - the method to invoke
  Returns:
    a new frame
  Throws:
    `java.lang.Exception` - on invocation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.